export declare type splitFunc = (key: string) => string[];
export declare type transformFunc = (split: splitFunc, transformation: transformationFunc, key: any) => string;
export declare type transformationFunc = (parts: string[]) => string;
export declare const transform: transformFunc;
export declare const toCamelCase: (split: splitFunc, key: string) => string;
export declare const toPascalCase: (split: splitFunc, key: string) => string;
export declare const fromSnakeCaseToCamelCase: (key: string) => string;
export declare const fromSnakeCaseToPascalCase: (key: string) => string;
export declare const transformFromCamelCaseToSnakeCase: (object: any) => unknown;
export declare const transformFromSnakeCaseToCamelCase: (object: any) => unknown;
export declare const transformFromTo: (sourceForm: splitFunc, transformation: transformationFunc, object: any) => unknown;
export declare function transformKeys<TSource, TDestination>(transformation: (sourceKey: string) => string, object: TSource): TDestination | TDestination[];
